Notify stewards and global renamers about T148242
Closed, ResolvedPublic3 Story Points

Description

Let stewards and global renamers know there'll be a script running.

Johan created this task.Nov 16 2016, 9:42 AM
Restricted Application added a project: User-Johan. · View Herald TranscriptNov 16 2016, 9:42 AM
Qgil updated the task description. (Show Details)Nov 16 2016, 10:19 AM

Hi @Johan. Please tell me when this is suposed to happen and I'll have
messages posted on our mailing lists and on-wiki noticeboards. Although I
expect that this will reach everyone, maybe a temporary deactivation of the
global rename feature during the process would not be a bad idea either.

Please tell me when this is suposed to happen

See T148242

@MarcoAurelio Thanks, that'd be excellent. It will reach global renamers as well? My plan was to write on everyone's talk page, to make sure they saw it, but that's somewhat spammy, of course.

This is what I had prepared.

Hi again @Johan,

Stewards and global renamers do have separate mailing lists, as steward I have access to both so I can send them both a message. If you had something already prepared you can reach the global renamers at global-renamerslists.wikimedia.org and stewards at stewards-llists.wikimedia.org (the later does not accept external mail but from wikimedia.org accounts though).

While I'm quasi-sure that all stewards are subscribed to stewards-l, I'm not sure if all global-renamers are subscribed to their list, not that all stewards are subscribed to the global rename list; although we encourage them to do so. Sending a message to both lists would reach a large number of users able to do global renames. There's also users such as staff and WMF SuSa members which could do global renames and maybe we should notify them too.

As such, a talk page message won't be a bad idea either. That does not guarantee that one misses the notice though, so if we really want to be sure that no global renames are performed during the maintenance window I think we should disable global-rename temporarily while the script is running.

Regards.

Johan added a comment.Nov 16 2016, 5:16 PM

OK, thanks. (: I'll poke folks about disabling the feature as well.

OK, thanks. (: I'll poke folks about disabling the feature as well.

No problem. We'll wait for your email to those lists as well as on our talk pages too.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptNov 17 2016, 11:01 AM

Waiting until tonight (CET) to see if we can get clarity in T148242 regarding temporarily disabling global renaming; if not I'll send it out anyway.

Savh added a subscriber: Savh.EditedNov 17 2016, 1:34 PM

All but two global renamers receive mails sent to the renamers mailing list. Whether they read these mails is not certain, but in previous cases of renames getting stuck the list has been effective with one exception.

It is also possible to add a notice to the RenameQueue and RenameUser special pages.

Savh added a comment.Nov 17 2016, 1:40 PM

And possibly an easier solution to disabling the whole thing is temporarily removing the "centralauth-rename" flag from the metawiki local usergroups.

Johan closed this task as Resolved.Nov 17 2016, 7:42 PM

Mails sent to the mailings lists (awaiting moderation); folks have been notified on their talk pages.

Mails sent to the mailings lists (awaiting moderation); folks have been notified on their talk pages.

I've accepted them both, shortly after you've send them. Thanks.

MusikAnimal moved this task from Ready to Done on the Community-Tech-Sprint board.Nov 28 2016, 5:14 PM
DannyH moved this task from Untriaged to Archive on the Community-Tech board.Dec 7 2016, 7:15 PM
Johan moved this task from Backlog to Archive on the User-Johan board.Wed, Jul 26, 3:26 AM